## kodi-inputstream-ffmpegdirect-dmo 19.0.3

=== depends/android/libzvbi/CMakeLists.txt ===
project(libzsvbi)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

list(APPEND zvbi_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND zvbi_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)

if (CORE_SYSTEM_NAME STREQUAL osx)
  list(APPEND zvbi_conf CFLAGS=-fnested-functions)
elseif (CORE_SYSTEM_NAME STREQUAL android)
  list(APPEND zvbi_conf LIBS=-liconv)
endif()

include(ExternalProject)
externalproject_add(libzsvbi
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --enable-shared=no
                      --enable-static
                      --disable-dvb
                      --disable-bktr
                      --disable-nls
                      --disable-proxy
                      --without-doxygen
                      ${zvbi_ldflags}
                      ${zvbi_conf})

install(CODE "Message(Done)")

=== depends/common/ffmpeg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ffmpeg)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

# Init base values given on build to ffmpeg
set(STANDARD_CONF "")
set(EXTRA_CONF "")
set(EXTRA_CFLAGS "")
set(EXTRA_LDFLAGS "")

# Read version for ffmpeg to define on extra version
file(STRINGS "${CMAKE_SOURCE_DIR}/RELEASE" FFMPEG_VER)

# Set the basic ffmpeg configure options (same on all OS)
list(APPEND STANDARD_CONF --extra-version=kodi-${FFMPEG_VER}
                          --pkg-config-flags=--static
                          --disable-devices
                          --disable-doc
                          --disable-ffplay
                          --disable-ffmpeg
                          --disable-ffprobe
                          --enable-gpl
                          --enable-runtime-cpudetect
                          --enable-postproc
                          --enable-muxer=spdif
                          --enable-muxer=adts
                          --enable-muxer=asf
                          --enable-muxer=ipod
                          --enable-encoder=ac3
                          --enable-encoder=aac
                          --enable-encoder=wmav2
                          --enable-protocol=http
                          --enable-encoder=png
                          --enable-encoder=mjpeg
                          --enable-demuxer=dash
                          --enable-libxml2
                          --enable-zlib
                          --enable-static)

# Determinate debug or release and set ffmpeg for
if(CMAKE_BUILD_TYPE STREQUAL Release)
  list(APPEND EXTRA_CONF --disable-debug)
else()
  list(APPEND EXTRA_CONF --enable-debug)
endif()

# Run the builds
include(ExternalProject)
if(NOT WIN32)
  if(ENABLE_CCACHE AND CCACHE_PROGRAM)
    list(APPEND EXTRA_CONF "--cc=${CCACHE_PROGRAM} ${CMAKE_C_COMPILER}" "--cxx=${CCACHE_PROGRAM} ${CMAKE_CXX_COMPILER}")
  else()
    list(APPEND EXTRA_CONF --cc=${CMAKE_C_COMPILER} --cxx=${CMAKE_CXX_COMPILER})
  endif()

  if(CMAKE_CROSSCOMPILING)
    list(APPEND EXTRA_CONF --enable-cross-compile --arch=${CPU})
    list(APPEND EXTRA_CONF --ar=${CMAKE_AR} --strip=${CMAKE_STRIP})
    message(STATUS "CROSS: ${EXTRA_CONF}")
  endif()

  if(CMAKE_C_FLAGS)
    list(APPEND EXTRA_CONF --extra-cflags=${CMAKE_C_FLAGS})
  endif()

  if(CMAKE_CXX_FLAGS)
    list(APPEND EXTRA_CONF --extra-cxxflags=${CMAKE_CXX_FLAGS})
  endif()

  if(CMAKE_EXE_LINKER_FLAGS)
    list(APPEND EXTRA_CONF --extra-ldflags=${CMAKE_EXE_LINKER_FLAGS})
  endif()

  if(ENABLE_NEON)
    list(APPEND EXTRA_CONF --enable-neon)
  endif()

  if(CORE_SYSTEM_NAME STREQUAL linux OR CORE_SYSTEM_NAME STREQUAL freebsd)
    if(CORE_PLATFORM_NAME STREQUAL rbpi)
      list(APPEND EXTRA_CONF --cpu=${CPU} --disable-vaapi --disable-vdpau)
    else()
      list(APPEND EXTRA_CONF --enable-pic)
      if(ENABLE_VAAPI)
        list(APPEND EXTRA_CONF --enable-vaapi)
      else()
        list(APPEND EXTRA_CONF --disable-vaapi)
      endif()
      if(ENABLE_VDPAU)
        list(APPEND EXTRA_CONF --enable-vdpau)
      else()
        list(APPEND EXTRA_CONF --disable-vdpau)
      endif()
    endif()
  elseif(CORE_SYSTEM_NAME STREQUAL android)
    if(CPU MATCHES arm64)
      list(APPEND EXTRA_CONF --cpu=cortex-a53 --arch=aarch64)
    elseif(CPU MATCHES arm)
      list(APPEND EXTRA_CONF --cpu=cortex-a9)
    else()
      list(APPEND EXTRA_CONF --cpu=i686 --disable-mmx)
    endif()
    list(APPEND EXTRA_CONF --target-os=linux --extra-libs=-liconv --disable-linux-perf)
  elseif(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    if(NOT CPU MATCHES arm64)
      list(APPEND EXTRA_CONF --cpu=cortex-a8)
    else()
      list(APPEND EXTRA_CONF "--as=${CMAKE_INSTALL_PREFIX}/bin/gas-preprocessor.pl -arch aarch64 -- ${CMAKE_C_COMPILER}")
      list(APPEND EXTRA_CONF --arch=aarch64)
    endif()
    list(APPEND EXTRA_CONF --disable-decoder=mpeg_xvmc --disable-crystalhd --enable-videotoolbox
                           --target-os=darwin)
  elseif(CORE_SYSTEM_NAME STREQUAL osx)
    list(APPEND EXTRA_CONF --disable-decoder=mpeg_xvmc --disable-crystalhd --enable-videotoolbox
                           --target-os=darwin
                           --disable-securetransport)
  endif()

  if(CPU MATCHES arm OR CORE_PLATFORM_NAME STREQUAL rbpi)
    list(APPEND EXTRA_CONF --enable-pic --disable-armv5te --disable-armv6t2)
  elseif(CPU MATCHES mips)
    list(APPEND EXTRA_CONF --disable-mips32r2 --disable-mipsdsp --disable-mipsdspr2)
  endif()

  message(STATUS "FFMPEG_CONF (Standard): ${STANDARD_CONF}")
  message(STATUS "FFMPEG_CONF (Extra, OS dependend): ${EXTRA_CONF}")

  externalproject_add(ffmpeg
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND PKG_CONFIG_PATH=${CMAKE_INSTALL_PREFIX}/lib/pkgconfig ${CMAKE_SOURCE_DIR}/configure
                        --prefix=${CMAKE_INSTALL_PREFIX}
                        --enable-pthreads
                        --enable-gnutls
                        --enable-libzvbi
                        ${STANDARD_CONF}
                        ${EXTRA_CONF})

  if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    externalproject_add_step(ffmpeg
                            RunSedCommand
                            COMMAND echo "Setting HAVE_CLOCK_GETTIME to 0 for darwin_embedded using sed"
                            COMMAND sed -i -- "s/HAVE_CLOCK_GETTIME 1/HAVE_CLOCK_GETTIME 0/g" ${CMAKE_CURRENT_BINARY_DIR}/ffmpeg-prefix/src/ffmpeg-build/config.h
                            DEPENDEES configure)
  endif()
else()
  find_package(MinGW REQUIRED)

  if(CMAKE_C_FLAGS)
    list(APPEND EXTRA_CFLAGS ${CMAKE_C_FLAGS})
  endif()

  if(CMAKE_CXX_FLAGS)
    list(APPEND EXTRA_CXXFLAGS ${CMAKE_CXX_FLAGS})
  endif()

  if(CMAKE_EXE_LINKER_FLAGS)
    list(APPEND EXTRA_LDFLAGS ${CMAKE_EXE_LINKER_FLAGS})
  endif()

  # Replace slash with minus, mingw does interpret a slash wrong!
  MinGW_ChangeSlashToMinus(${EXTRA_CFLAGS})
  set(EXTRA_CFLAGS ${FLAGS})
  MinGW_ChangeSlashToMinus(${EXTRA_CXXFLAGS})
  set(EXTRA_CXXFLAGS ${FLAGS})
  MinGW_ChangeSlashToMinus(${EXTRA_LDFLAGS})
  set(EXTRA_LDFLAGS ${FLAGS})

  list(APPEND EXTRA_CFLAGS -I${CMAKE_INSTALL_PREFIX}/include
                           -I${CMAKE_INSTALL_PREFIX}/include/libxml2
                           -FS)
  list(APPEND EXTRA_CXXFLAGS -I${CMAKE_INSTALL_PREFIX}/include
                             -I${CMAKE_INSTALL_PREFIX}/include/libxml2
                             -FS)
  list(APPEND EXTRA_LDFLAGS -LIBPATH:${CMAKE_INSTALL_PREFIX}/lib)
  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
    list(APPEND EXTRA_CONF --enable-cross-compile)
    list(APPEND EXTRA_CFLAGS -DWINAPI_FAMILY=WINAPI_FAMILY_APP -D_WIN32_WINNT=0x0A00)
    list(APPEND EXTRA_LDFLAGS -APPCONTAINER WindowsApp.lib)
  endif()
  if(CMAKE_BUILD_TYPE STREQUAL Release)
    list(APPEND EXTRA_CFLAGS -MD -wd4828)
    list(APPEND EXTRA_CXXFLAGS -MD -wd4828)
  else()
    list(APPEND EXTRA_CFLAGS -MDd)
    list(APPEND EXTRA_CXXFLAGS -MDd)
    list(APPEND EXTRA_LDFLAGS -NODEFAULTLIB:libcmt)
  endif()

  include(CheckSymbolExists)
  check_symbol_exists(_X86_ "Windows.h" _X86_)
  check_symbol_exists(_AMD64_ "Windows.h" _AMD64_)
  check_symbol_exists(_ARM_ "Windows.h" _ARM_)
  check_symbol_exists(_ARM64_ "Windows.h" _ARM64_)

  if(_X86_)
    set(EXTRA_ARCH "x86")
    list(APPEND EXTRA_CONF --target-os=win32 --cpu=i686)
  elseif(_AMD64_)
    set(EXTRA_ARCH "x86_64")
    list(APPEND EXTRA_CONF --target-os=win64)
  elseif(_ARM_)
    set(EXTRA_ARCH "arm")
    list(APPEND EXTRA_CONF --target-os=win32 --cpu=armv7)
  elseif(_ARM64_)
    set(EXTRA_ARCH "aarch64")
    list(APPEND EXTRA_CONF --target-os=win32 --cpu=aarch64)
  else()
    message(FATAL_ERROR "Unsupported architecture")
  endif()

  externalproject_add(ffmpeg
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND ${MINGW_CALL}
                        ./configure
                          --prefix=[DQ]${CMAKE_INSTALL_PREFIX}[DQ]
                          --arch=${EXTRA_ARCH}
                          --toolchain=msvc
                          --enable-w32threads
                          --enable-openssl
                          --enable-nonfree
                          --disable-gnutls
                          --disable-libzvbi
                          ${STANDARD_CONF}
                          ${EXTRA_CONF}
                          --extra-cflags=[DQ]${EXTRA_CFLAGS}[DQ]
                          --extra-cxxflags=[DQ]${EXTRA_CXXFLAGS}[DQ]
                          --extra-ldflags=[DQ]${EXTRA_LDFLAGS}[DQ]
                      BUILD_COMMAND ${MINGW_CALL}
                        make -j$ENV{NUMBER_OF_PROCESSORS}
                      INSTALL_COMMAND ${MINGW_CALL}
                        make install)
endif()

install(CODE "Message(Done)")

=== depends/common/gas-preprocessor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gas-preprocessor)

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/gas-preprocessor.pl DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== depends/common/gmp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gmp)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

include(ExternalProject)

if(CORE_SYSTEM_NAME STREQUAL osx OR
   CORE_SYSTEM_NAME STREQUAL darwin_embedded)

  if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
    set(EXTRA_ARGS "--disable-assembly")
    set(EXTRA_ARGS "${EXTRA_ARGS} --host=aarch64-apple-darwin")
  else()
    set(EXTRA_ARGS "--with-pic")
    set(EXTRA_ARGS "${EXTRA_ARGS} --host=x86_64-apple-darwin")
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
      set(EXTRA_ARGS "${EXTRA_ARGS} ABI=64")
    else()
      set(EXTRA_ARGS "${EXTRA_ARGS} ABI=32")
    endif()
  endif()

  externalproject_add(gmp
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND
                          bash --login -c
                          "./configure \
                          --prefix=${CMAKE_BINARY_DIR}/gmpbuild \
                          CC='${CMAKE_C_COMPILER} ${CMAKE_C_FLAGS}' \
                          LDFLAGS='${CMAKE_EXE_LINKER_FLAGS}' \
                          CPP='${CMAKE_C_COMPILER} -E' \
                          CPPFLAGS='${CMAKE_C_FLAGS}' \
                          ${EXTRA_ARGS} \
                          --enable-static \
                          --disable-shared"
                      BUILD_COMMAND  make
                      INSTALL_COMMAND
                        make install &&
                        # Is installed to different place to become no conflict during configure with
                        # "./share/config.site" on addon depends binary folder
                        cmake -E copy_directory ${CMAKE_BINARY_DIR}/gmpbuild ${CMAKE_INSTALL_PREFIX}
                      BUILD_IN_SOURCE TRUE)
else()
  if(CORE_SYSTEM_NAME MATCHES "linux" AND CPU MATCHES "i.86")
      list(APPEND gmp_conf ABI=32)
  endif()

  externalproject_add(gmp
                      SOURCE_DIR ${CMAKE_SOURCE_DIR}
                      CONFIGURE_COMMAND <SOURCE_DIR>/configure
                        --prefix=${CMAKE_INSTALL_PREFIX}
                        --disable-assembly
                        --enable-static
                        --disable-shared
                        --with-pic
                        ${gmp_conf})
endif()

install(CODE "Message(Done)")

=== depends/common/libzvbi/CMakeLists.txt ===
project(libzvbi)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

list(APPEND zvbi_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND zvbi_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)

if (CORE_SYSTEM_NAME STREQUAL osx)
  list(APPEND zvbi_conf CFLAGS=-fnested-functions)
elseif (CORE_SYSTEM_NAME STREQUAL android)
  list(APPEND zvbi_conf LIBS=-liconv)
elseif (CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  list(APPEND zvbi_conf CFLAGS=-DDARWIN_EMBEDDED)
endif()

include(ExternalProject)
externalproject_add(libzvbi
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    PATCH_COMMAND cd <SOURCE_DIR> && autoreconf -fi
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --enable-shared=no
                      --enable-static
                      --disable-dvb
                      --disable-bktr
                      --disable-nls
                      --disable-proxy
                      --without-doxygen
                      --with-pic
                      --without-x
                      ${zvbi_ldflags}
                      ${zvbi_conf})

install(CODE "Message(Done)")

=== depends/common/nettle/CMakeLists.txt ===
project(nettle)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

list(APPEND nettle_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND nettle_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)
list(APPEND nettle_conf LIBS=-lgmp)

include(ExternalProject)
externalproject_add(nettle
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --libdir=${CMAKE_INSTALL_PREFIX}/lib
                      --disable-shared
                      --disable-openssl
                      --disable-documentation
                      --enable-pic
                      CCPIC=
                      ${nettle_conf}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== depends/common/xz-utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(xz-utils)

include(ExternalProject)
externalproject_add(xz-utils
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${OUTPUT_DIR}
                      --enable-static
                      --disable-shared
                      --disable-doc
                      --with-pic
                      ${EXTRA_CFLAGS}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== depends/windows/openssl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(openssl VERSION 1.1.1 LANGUAGES C)

find_package(StrawberryPerl REQUIRED)

include(CheckSymbolExists) 
check_symbol_exists(_X86_ "Windows.h" _X86_)
check_symbol_exists(_AMD64_ "Windows.h" _AMD64_)

if(_X86_)
	message(STATUS "Win32")
	set(OPENSSL_PLATFORM VC-WIN32)
elseif(_AMD64_)
	message(STATUS "x64")
	set(OPENSSL_PLATFORM VC-WIN64A)
else()
	message(FATAL_ERROR "Unsupported target architecture")
endif()

message(STATUS "perl Configure ${OPENSSL_PLATFORM} disable-capieng enable-static-engine no-asm no-dso no-shared no-tests no-ui-console zlib --prefix=${CMAKE_INSTALL_PREFIX} --with-zlib-include=${OUTPUT_DIR}/include")
set(ENV{PATH} "${STRAWBERRYPERL_PATH};$ENV{PATH}")
execute_process(COMMAND perl Configure ${OPENSSL_PLATFORM} disable-capieng enable-static-engine no-asm no-dso no-shared no-tests no-ui-console zlib --prefix=${CMAKE_INSTALL_PREFIX} --with-zlib-include=${OUTPUT_DIR}/include WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

add_custom_target(openssl ALL COMMAND nmake build_generated libcrypto.lib libssl.lib WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

install(DIRECTORY include/openssl DESTINATION include/ FILES_MATCHING PATTERN "*.h")
install(FILES libcrypto.lib libssl.lib DESTINATION lib/)

=== depends/windowsstore/mingw/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mingw)

# Currently unused (our mirrors not have newest)
if(0)
  foreach(repo msys mingw32 mingw64)
    if(${repo} STREQUAL msys)
      file(WRITE ${CMAKE_CURRENT_SOURCE_DIR}/etc/pacman.d/mirrorlist.${repo} "Server = http://mirrors.kodi.tv/build-deps/win32/msys2/repos/${repo}2/$arch\n")
    else()
      file(WRITE ${CMAKE_CURRENT_SOURCE_DIR}/etc/pacman.d/mirrorlist.${repo} "Server = http://mirrors.kodi.tv/build-deps/win32/msys2/repos/${repo}\n")
    endif()
  endforeach()
endif()

if($ENV{PROCESSOR_ARCHITECTURE} MATCHES "AMD64" OR
   $ENV{PROCESSOR_ARCHITECTURE} MATCHES "IA64")
   set(HOST mingw-w64-x86_64)
   set(MINGW_PATH "mingw64")
else()
   set(HOST mingw-w64-i686)
   set(MINGW_PATH "mingw32")
endif()

execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/usr/bin/bash.exe -lc
    " " ERROR_QUIET)
execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/usr/bin/bash.exe -lc
    "pacman --noconfirm -Syuu")
execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/usr/bin/bash.exe -lc
    "pacman --noconfirm -Syuu \
                           mingw-w64-cross-binutils \
                           ${HOST}-gcc ${HOST}-lua \
                           ${HOST}-headers \
                           make \
                           autoconf \
                           automake \
                           libtool \
                           pkg-config \
                           nasm \
                           yasm \
                           patch")

file(GLOB_RECURSE shared_libs ${CMAKE_CURRENT_SOURCE_DIR}/${MINGW_PATH}/*.dll.a)
if(shared_libs)
  file(REMOVE ${shared_libs})
endif()

configure_file(MinGWConfig.cmake.in MinGWConfig.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/MinGWConfig.cmake DESTINATION ${CMAKE_INSTALL_PREFIX})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/caller.sh DESTINATION ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
kodi-inputstream-ffmpegdirect-dmo (1:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jun 2022 09:00:17 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jun 2022 17:59:38 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 19:19:17 +0100

kodi-inputstream-ffmpegdirect-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 17:59:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Jul 2021 07:40:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jul 2021 18:12:03 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jul 2021 11:54:32 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jul 2021 07:34:57 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.4-dmo2) unstable; urgency=medium

  * Add libswresample-dev, libpostproc-dev and libavfilter-dev to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Jul 2021 11:14:37 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Jul 2021 10:38:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 15:30:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 May 2021 18:05:10 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Apr 2021 23:55:57 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Apr 2021 00:56:58 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.20.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Apr 2021 16:46:06 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.19.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Apr 2021 08:37:45 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.19.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 08:44:06 +0100

kodi-inputstream-ffmpegdirect-dmo (1:1.19.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Mar 2021 13:27:13 +0100

kodi-inputstream-ffmpegdirect-dmo (1:1.19.2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Jan 2021 10:56:04 +0100

=== debian/control ===
Source: kodi-inputstream-ffmpegdirect-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/inputstream.ffmpegdirect
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:19~),
 cmake, libavcodec-dev, libavformat-dev, libswresample-dev, libpostproc-dev,
 libavfilter-dev, pkg-config, libbz2-dev, zlib1g-dev, ninja-build

Package: kodi-inputstream-ffmpegdirect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:INPUTSTREAMAPI}
Description: FFmpegDirect inputstream addon for Kodi
 This is a Kodi input stream addon for streams that can be opened by either
 FFmpeg's libavformat or Kodi's cURL. Common stream formats such as plain
 TS, HLS and DASH are supported as well as many others.  Note that the only
 DASH streams supported are those without DRM.
 .
 The addon also has support for Archive/Catchup services where there is a
 replay window (usually in days) and can timeshift across that span.
 .
 In addition the addon can also provide timeshift to live streams where
 rewind/pause and fast-forward woud not have previously been possible.

=== debian/watch ===
version=4

https://github.com/xbmc/inputstream.ffmpegdirect/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@
